VERSION 2.00
Begin Form frmCodeOpts 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Code Options"
   ClientHeight    =   3156
   ClientLeft      =   1092
   ClientTop       =   1560
   ClientWidth     =   5664
   Height          =   3576
   Left            =   1044
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3156
   ScaleWidth      =   5664
   Top             =   1188
   Width           =   5760
   Begin CommandButton cmdSetAs 
      Caption         =   "Set as Def."
      Height          =   312
      Left            =   4500
      TabIndex        =   18
      Top             =   2400
      Width           =   1032
   End
   Begin CommandButton cmdDefaults 
      Caption         =   "Defaults"
      Height          =   312
      Left            =   4500
      TabIndex        =   12
      Top             =   1980
      Width           =   1032
   End
   Begin SSFrame frm3DVariable 
      Caption         =   "Name of variables"
      Height          =   1992
      Left            =   120
      TabIndex        =   6
      Top             =   1020
      Width           =   4212
      Begin TextBox txtRLF 
         Height          =   288
         Left            =   1740
         MaxLength       =   40
         TabIndex        =   17
         Top             =   1500
         Width           =   2352
      End
      Begin TextBox txtAnswer 
         Height          =   288
         Left            =   1740
         MaxLength       =   40
         TabIndex        =   16
         Top             =   1200
         Width           =   2352
      End
      Begin TextBox txtStyle 
         Height          =   288
         Left            =   1740
         MaxLength       =   40
         TabIndex        =   15
         Top             =   900
         Width           =   2352
      End
      Begin TextBox txtMessage 
         Height          =   288
         Left            =   1740
         MaxLength       =   40
         TabIndex        =   14
         Top             =   600
         Width           =   2352
      End
      Begin TextBox txtTitel 
         Height          =   288
         Left            =   1740
         MaxLength       =   40
         TabIndex        =   13
         Top             =   300
         Width           =   2352
      End
      Begin Label Label6 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "&Return Line Feed"
         Height          =   192
         Left            =   180
         TabIndex        =   11
         Top             =   1500
         Width           =   1428
      End
      Begin Label Label5 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "T&itle"
         Height          =   192
         Left            =   180
         TabIndex        =   10
         Top             =   300
         Width           =   384
      End
      Begin Label Label4 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "&Message"
         Height          =   192
         Left            =   180
         TabIndex        =   9
         Top             =   600
         Width           =   780
      End
      Begin Label Label3 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "&Answer"
         Height          =   192
         Left            =   180
         TabIndex        =   8
         Top             =   1200
         Width           =   612
      End
      Begin Label Label2 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "&Style"
         Height          =   192
         Left            =   180
         TabIndex        =   7
         Top             =   900
         Width           =   432
      End
   End
   Begin TextBox txtTabStop 
      Height          =   288
      Left            =   1440
      MaxLength       =   2
      TabIndex        =   5
      Top             =   600
      Width           =   552
   End
   Begin CommandButton cmdHelp 
      Caption         =   "Help"
      Height          =   312
      Left            =   4500
      TabIndex        =   3
      Top             =   900
      Width           =   1032
   End
   Begin CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   312
      Left            =   4500
      TabIndex        =   2
      Top             =   480
      Width           =   1032
   End
   Begin CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   312
      Left            =   4500
      TabIndex        =   1
      Top             =   120
      Width           =   1032
   End
   Begin SSCheck Chk3DIncDims 
      Caption         =   "&Put Declares on clipboard"
      Height          =   312
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   2772
   End
   Begin Label Label1 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "&Tab Stop Size"
      Height          =   192
      Left            =   120
      TabIndex        =   4
      Top             =   636
      Width           =   1188
   End
End
Option Explicit

Sub ChangeCancel ()

  If frmCodeOpts.Visible Then cmdCancel.Caption = "Close"

End Sub

Sub cmdCancel_Click ()

  Me.Hide

End Sub

Sub cmdDefaults_Click ()

  Dim pstrWinDir As String
  Dim pstrTabStop As String
  Dim pstrIncDims As String
  Dim pstrVBIni As String
  Dim pstrMsgBoxIni As String
  Dim pstrTitleName As String
  Dim pstrMsgName As String
  Dim pstrStyleName As String
  Dim pstrAnswerName As String
  Dim pstrReturnName As String

  ' Get info from the VB ini file for Defaults
  pstrWinDir = GetWinDir()
  pstrVBIni = MakePath(pstrWinDir, "vb.ini")
  pstrTabStop = ReadIni("Visual Basic", "TabStops", "4", pstrVBIni)
  pstrIncDims = ReadIni("Visual Basic", "InsOptExplicit", "1", pstrVBIni)

  ' Make path and file name of the ini file
  pstrMsgBoxIni = MakePath((app.Path), app.EXEName & ".ini")


  ' Put the info up on the form
  If Trim(pstrIncDims) = "1" Then
    Chk3DIncDims.Value = True
  Else
    Chk3DIncDims.Value = False
  End If

  ' Get the Default names from ini if defined
  pstrTitleName = ReadIni("Defaults", "Title Name", "pstrTheTitle", pstrMsgBoxIni)
  pstrMsgName = ReadIni("Defaults", "Msg Name", "pstrTheMessage", pstrMsgBoxIni)
  pstrStyleName = ReadIni("Defaults", "Style Name", "pintTheStyle", pstrMsgBoxIni)
  pstrAnswerName = ReadIni("Defaults", "Answer Name", "pintTheAnswer", pstrMsgBoxIni)
  pstrReturnName = ReadIni("Defaults", "Return Name", "pstrCR", pstrMsgBoxIni)

  ' Put the Default names
  txtTabStop = pstrTabStop
  txtTitel = pstrTitleName
  txtMessage = pstrMsgName
  txtStyle = pstrStyleName
  txtAnswer = pstrAnswerName
  txtRLF = pstrReturnName

End Sub

Sub cmdOK_Click ()

  Call SaveCodeOptions("Code Options")
  Call cmdCancel_Click

End Sub

Sub cmdSetAs_Click ()

  Dim pintTheStyle As Integer
  Dim pintTheAnswer As Integer
  Dim pstrTheMessage As String
  Dim pstrTheTitle As String

  pstrTheMessage = "Are you shure you want to set as defaults?"
  pintTheStyle = 36
  pstrTheTitle = "MsgBox Editor"
  pintTheAnswer = MsgBox(pstrTheMessage, pintTheStyle, pstrTheTitle)
  If pintTheAnswer = 6 Then  'Answered Yes
    Call SaveCodeOptions("Defaults")
  Else     'Answered No

  End If


End Sub

Sub Form_Load ()

  Call CenterOnForm(MsgBxGen, Me)
  Call GetCodeOptions

End Sub

Sub GetCodeOptions ()

  Dim pstrWinDir As String
  Dim pstrTabStop As String
  Dim pstrIncDims As String
  Dim pstrVBIni As String
  Dim pstrMsgBoxIni As String
  Dim pstrTitleName As String
  Dim pstrMsgName As String
  Dim pstrStyleName As String
  Dim pstrAnswerName As String
  Dim pstrReturnName As String


  ' Get info from the VB ini file for Defaults
  pstrWinDir = GetWinDir()
  pstrVBIni = MakePath(pstrWinDir, "vb.ini")
  pstrTabStop = ReadIni("Visual Basic", "TabStops", "4", pstrVBIni)
  pstrIncDims = ReadIni("Visual Basic", "InsOptExplicit", "1", pstrVBIni)

  ' Get info from the MsgBox ini file
  pstrMsgBoxIni = MakePath((app.Path), app.EXEName & ".ini")
  pstrIncDims = ReadIni("Code Options", "Include Dims", pstrIncDims, pstrMsgBoxIni)
  pstrTabStop = ReadIni("Code Options", "Tab Stop", pstrTabStop, pstrMsgBoxIni)
  pstrTitleName = ReadIni("Code Options", "Title Name", "pstrTheTitle", pstrMsgBoxIni)
  pstrMsgName = ReadIni("Code Options", "Msg Name", "pstrTheMessage", pstrMsgBoxIni)
  pstrStyleName = ReadIni("Code Options", "Style Name", "pintTheStyle", pstrMsgBoxIni)
  pstrAnswerName = ReadIni("Code Options", "Answer Name", "pintTheAnswer", pstrMsgBoxIni)
  pstrReturnName = ReadIni("Code Options", "Return Name", "pstrCR", pstrMsgBoxIni)

  ' Put the info up on the form
  If Trim(pstrIncDims) = "1" Then Chk3DIncDims.Value = True
  txtTabStop = pstrTabStop
  txtTitel = pstrTitleName
  txtMessage = pstrMsgName
  txtStyle = pstrStyleName
  txtAnswer = pstrAnswerName
  txtRLF = pstrReturnName

End Sub

Sub SaveCodeOptions (AppTile As String)

  Dim pstrTabStop As String
  Dim pstrIncDims As String
  Dim pstrMsgBoxIni As String
  Dim pstrTitleName As String
  Dim pstrMsgName As String
  Dim pstrStyleName As String
  Dim pstrAnswerName As String
  Dim pstrReturnName As String

  ' Make path and file name of the ini file
  pstrMsgBoxIni = MakePath((app.Path), app.EXEName & ".ini")

  ' Get the variables name from the form
  pstrTitleName = txtTitel
  pstrMsgName = txtMessage
  pstrStyleName = txtStyle
  pstrAnswerName = txtAnswer
  pstrReturnName = txtRLF

  ' Put the variables names in to the MsgBox ini file
  Call SaveIni(AppTile, "Title Name", pstrTitleName, pstrMsgBoxIni)
  Call SaveIni(AppTile, "Msg Name", pstrMsgName, pstrMsgBoxIni)
  Call SaveIni(AppTile, "Style Name", pstrStyleName, pstrMsgBoxIni)
  Call SaveIni(AppTile, "Answer Name", pstrAnswerName, pstrMsgBoxIni)
  Call SaveIni(AppTile, "Return Name", pstrReturnName, pstrMsgBoxIni)

  If AppTile = "Code Options" Then
    ' Get Dims and Tab size info from form
    If Chk3DIncDims.Value = True Then
      pstrIncDims = "1"
    Else
      pstrIncDims = "0"
    End If
    pstrTabStop = txtTabStop

    ' Put Dims and Tab size info in to the MsgBox ini file
    Call SaveIni(AppTile, "Include Dims", pstrIncDims, pstrMsgBoxIni)
    Call SaveIni(AppTile, "Tab Stop", pstrTabStop, pstrMsgBoxIni)
  End If

End Sub

Sub txtAnswer_Change ()

  Call ChangeCancel

End Sub

Sub txtMessage_Change ()

  Call ChangeCancel

End Sub

Sub txtRLF_Change ()

  Call ChangeCancel

End Sub

Sub txtStyle_Change ()

  Call ChangeCancel

End Sub

Sub txtTabStop_Change ()

  Call ChangeCancel

End Sub

Sub txtTitel_Change ()

  Call ChangeCancel

End Sub

